Bug 117365 - Decimal separator is not updated on language change
Summary: Decimal separator is not updated on language change
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Number-Format Writer-Tables-Number-Recognition
  Show dependency treegraph
 
Reported: 2018-05-01 08:26 UTC by Heiko Tietze
Modified: 2021-05-24 04:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example document (9.50 KB, application/vnd.oasis.opendocument.text)
2018-05-01 08:26 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-05-01 08:26:41 UTC
Created attachment 141804 [details]
Example document

I'm using a table to enter numbers, sum it up and multiply with 0.19 (VAT). Depending on the language the decimal separator is a comma (German) or a point (English). When I switch the language of the text formulas like these are recalculated and the inappropriate separator leads to wrong results.

(The example has been done in German with 0,19, switching the language for all text to English compromises the calculation)
Comment 1 nurcantur 2018-05-18 07:38:33 UTC
Confirmed in Version: 6.0.1.1
Build ID: 1:6.0.1-1~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group

Changing the default language of the document caused this bug.
Comment 2 nurcantur 2018-05-18 07:40:25 UTC
also confirmed in Version: 6.1.0.0.alpha1+
Build ID: b2b1d0a4c4ffcba0e32e5909a61de43eeaf98c25
CPU threads: 4; OS: Mac OS X 10.13.4; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-05-15_23:37:15
Locale: tr-TR (en_TR.UTF-8); Calc: group
Comment 3 nurcantur 2018-05-18 08:29:24 UTC
"See also" https://bugs.documentfoundation.org/show_bug.cgi?id=42518
Comment 4 Wolfgang Denk 2018-05-18 08:57:08 UTC
This bug is especially nasty as there is no hint that any format error was detected in the formula, so you get wrong results without any indication of a problem.

I consider it _mandatory_ that such format errors in the input _must_not_ go unnoticed.
Comment 5 Laurent BP 2018-05-19 17:55:13 UTC
I cannot reproduce with Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group

Could you give a step by step procedure?
Comment 6 nurcantur 2018-05-20 19:04:54 UTC
1 Open the example_document
2 Set Default Languages of Documents to English(USA) under the menu Tools> Language> For All Text> More
3 Save and close the document.
4 Open up the document again. You can see the wrong calculations. 

Changing the Language of locale setting is worked correctly. Only changing the Default Language of Document is cause that miss calculation.
 

 
(In reply to Laurent BP from comment #5)
> I cannot reproduce with Version: 6.0.4.2
> Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
> Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL: gtk2; 
> Locale : fr-FR (fr_FR.UTF-8); Calc: group
> 
> Could you give a step by step procedure?
Comment 7 Laurent BP 2018-05-21 15:50:25 UTC
OK. I can reproduce also with Version: 5.4.7.1
Build ID: ef425abf896c652d177000096228d1dbcfe9c7af
Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL : gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group

Change version accordingly
Comment 8 Laurent BP 2018-05-21 15:52:36 UTC
Reproduce with Version: 5.2.7.2
Build ID: 2b7f1e640c46ceb28adf43ee075a6e8b8439ed10
Threads CPU : 8; Version de l'OS :Linux 4.13; UI Render : par défaut; VCL : gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 9 QA Administrators 2019-05-22 02:52:55 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2019-05-24 08:00:03 UTC
Issue still reproducible.

Version: 6.3.0.0.alpha1+ (x64)
Build ID: c3245cfd54f391111afb424867ab483096d9de5e
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-19_22:59:06
Locale: en-US (de_AT); UI-Language: en-US
Comment 11 QA Administrators 2021-05-24 04:26:23 UTC
Dear Heiko Tietze,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug